---
updatedAt: 2026-09-16T12:35:49.000Z
agentTools:
  projectIndex: https://global-docs.upbit.com/llms.txt
---

# Get Withdrawal

Retrieves the latest single withdrawal information. To query a specific withdrawal, you can specify the withdrawal’s UUID or transaction ID (TXID).

<HTMLBlock>{`
<div class="callout-section">
    <div class="callout-title">
      <i class="fa-solid fa-circle-exclamation"></i> <b>Check the proper endpoint based on your region.</b>
  </div>
	<div>The base_url differs by country/region. Make sure to specify the correct region value for your environment.<br>
    <br>	
	- Singapore (sg): https://sg-api.upbit.com<br>
	- Indonesia (id): https://id-api.upbit.com<br>
  - Thailand (th): https://th-api.upbit.com
	</div>
</div>
`}</HTMLBlock>

<br />

<HTMLBlock>{`
<div class="accordion-changelog">
    <input type="checkbox" id="api-changelog">
    <label for="api-changelog">
        <div class="APISectionHeader-heading4MUMLbp4_nLs">Revision History <i class="fa-solid fa-angle-right"></i></div>
    </label>

    <div class="accordion-changelog-content">
        <table class="custom-table">
            <thead>
                <tr>
                    <th>Version</th>
                    <th>Date</th>
                    <th>Changes</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td class="code-col">v1.0.7</td>
                    <td class="code-col">2023-05-23</td>
                    <td>
                        <a href="https://global-docs.upbit.com/changelog/net_type#/">
                            Addition of <code>net_type</code> field
                        </a>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>


<div class="APISectionHeader-heading4MUMLbp4_nLs">Rate Limit</div>
<div class="box-rate-limit">

Up to 30 calls per second are allowed. This is measured on an account basis and request counts are shared within the exchange 'default' group.
</div>

<br>
<div class="APISectionHeader-heading4MUMLbp4_nLs">API Key Permission</div>
<div class="box-rate-limit">

  This API requires <a href="auth">authentication</a> and an API Key with [Withdrawal Inquiry] permission. <br>
  If you receive an out_of_scope permission error, please verify your API Key permissions in the API Key Management page.
</div>
`}</HTMLBlock>

<br />

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "info": {
    "title": "EXCHANGE API",
    "version": "1.3.3"
  },
  "servers": [
    {
      "url": "https://{region}-api.upbit.com"
    }
  ],
  "components": {
    "schemas": {
      "Withdraw": {
        "type": "object",
        "required": [
          "type",
          "uuid",
          "currency",
          "net_type",
          "txid",
          "state",
          "created_at",
          "amount",
          "fee",
          "transaction_type",
          "is_cancelable"
        ],
        "properties": {
          "type": {
            "type": "string",
            "description": "Transaction type.",
            "example": "withdraw",
            "default": "withdraw"
          },
          "uuid": {
            "type": "string",
            "description": "Unique identifier of the withdrawal.",
            "example": "9f432943-54e0-40b7-825f-b6fec8b42b79"
          },
          "currency": {
            "type": "string",
            "description": "Currency code to be queried.",
            "example": "BTC"
          },
          "net_type": {
            "type": "string",
            "nullable": true,
            "description": "Withdrawal network type.\n\nBlockchain network identifier used by Upbit.\n\n[Example] \"ETH\", \"TRX\", \"SOL\"\n",
            "example": "BTC"
          },
          "txid": {
            "type": "string",
            "nullable": true,
            "description": "Transaction ID.",
            "example": 1234567890
          },
          "state": {
            "type": "string",
            "enum": [
              "WAITING",
              "PROCESSING",
              "DONE",
              "FAILED",
              "CANCELLED",
              "REJECTED"
            ],
            "description": "Withdrawal processing state.\n  - `WAITING`: Waiting\n  - `PROCESSING`: Processing\n  - `DONE`: Completed\n  - `FAILED`: Failed\n  - `CANCELLED`: Cancelled\n  - `REJECTED`: Rejected\n",
            "example": "WAITING"
          },
          "created_at": {
            "type": "string",
            "description": "Timestamp when the withdrawal was created.",
            "example": "2024-01-01T00:00:00"
          },
          "done_at": {
            "type": "string",
            "nullable": true,
            "description": "Timestamp when the withdrawal was completed. Returns null if not yet completed.",
            "example": "2024-01-01T00:00:00"
          },
          "amount": {
            "type": "string",
            "format": "decimal",
            "description": "Amount of the asset to withdraw.",
            "example": "0.01"
          },
          "fee": {
            "type": "string",
            "format": "decimal",
            "description": "Withdrawal fee.",
            "example": 0
          },
          "transaction_type": {
            "type": "string",
            "enum": [
              "default",
              "internal"
            ],
            "description": "Withdrawal transaction type.\n\n* `default`: Standard withdrawal\n* `internal`: Internal (instant) withdrawal\n",
            "example": "default",
            "default": "default"
          },
          "is_cancelable": {
            "type": "boolean",
            "nullable": true,
            "description": "Whether the withdrawal can be cancelled.",
            "example": false
          }
        }
      },
      "Error": {
        "type": "object",
        "properties": {
          "error": {
            "type": "object",
            "required": [
              "name",
              "message"
            ],
            "properties": {
              "name": {
                "type": "string",
                "description": "Error name."
              },
              "message": {
                "type": "string",
                "description": "Error message."
              }
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false,
    "samples-languages": [
      "shell",
      "python",
      "java",
      "node"
    ]
  },
  "paths": {
    "/v1/withdraw": {
      "get": {
        "operationId": "get-withdrawal",
        "summary": "Get Withdrawal",
        "description": "Retrieves the latest single withdrawal information. To query a specific withdrawal, you can specify the withdrawal’s UUID or transaction ID (TXID).",
        "tags": [
          "Exchange"
        ],
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request GET \\\n    --url 'https://sg-api.upbit.com/v1/withdraw?currency=BTC' \\\n    --header 'Authorization: Bearer {JWT_TOKEN}' \\\n    --header 'Accept: application/json'\n"
            },
            {
              "language": "python",
              "install": "pip install requests pyjwt python-dotenv",
              "code": "import os\nimport uuid\nimport hashlib\nimport jwt\nimport requests\nfrom urllib.parse import unquote, urlencode\nfrom dotenv import load_dotenv\n\nload_dotenv()\n\nBASE_URL = \"https://sg-api.upbit.com\"\nPATH = \"/v1/withdraw\"\n\nACCESS_KEY = os.environ[\"UPBIT_OPEN_API_ACCESS_KEY\"]\nSECRET_KEY = os.environ[\"UPBIT_OPEN_API_SECRET_KEY\"]\n\nparams = {\n  \"currency\": \"BTC\",\n}\n\nquery_string = unquote(urlencode(params, doseq=True)).encode(\"utf-8\")\n\nm = hashlib.sha512()\nm.update(query_string)\nquery_hash = m.hexdigest()\n\npayload = {\n  \"access_key\": ACCESS_KEY,\n  \"nonce\": str(uuid.uuid4()),\n  \"query_hash\": query_hash,\n  \"query_hash_alg\": \"SHA512\",\n}\n\njwt_token = jwt.encode(payload, SECRET_KEY, algorithm=\"HS256\")\nprint(jwt_token)\n\nheaders = {\n  \"Authorization\": f\"Bearer {jwt_token}\",\n  \"Accept\": \"application/json\",\n}\n\nres = requests.get(f\"{BASE_URL}{PATH}\", headers=headers, params=params)\nprint(res.json())\n"
            },
            {
              "language": "node",
              "name": "Axios",
              "install": "npm install axios jsonwebtoken uuid",
              "code": "const axios = require(\"axios\");\nconst crypto = require(\"crypto\");\nconst { sign } = require(\"jsonwebtoken\");\nconst { v4: uuidv4 } = require(\"uuid\");\nrequire(\"dotenv\").config();\n\nconst baseURL = \"https://sg-api.upbit.com\";\nconst path = \"/v1/withdraw\";\n\nconst ACCESS_KEY = process.env.UPBIT_OPEN_API_ACCESS_KEY;\nconst SECRET_KEY = process.env.UPBIT_OPEN_API_SECRET_KEY;\n\nconst params = {\n  currency: \"BTC\",\n};\n\nqueryString = new URLSearchParams(params).toString();\n\nqueryHash = crypto\n  .createHash(\"sha512\")\n  .update(queryString, \"utf-8\")\n  .digest(\"hex\");\n\npayload = {\n  access_key: ACCESS_KEY,\n  nonce: uuidv4(),\n  query_hash: queryHash,\n  query_hash_alg: \"SHA512\",\n};\n\nconst jwtToken = sign(payload, SECRET_KEY);\n\nconst options = {\n  method: \"GET\",\n  url: `${baseURL}${path}?${queryString}`,\n  headers: {\n    Authorization: `Bearer ${jwtToken}`,\n    Accept: \"application/json\",\n  },\n};\n\naxios\n  .request(options)\n  .then((response) => {\n    console.log(response.data);\n  })\n  .catch((error) => {\n    console.error(error.response ? error.response.data : error.message);\n  });\n"
            },
            {
              "language": "java",
              "code": "package main;\n\nimport com.auth0.jwt.JWT;\nimport com.auth0.jwt.algorithms.Algorithm;\nimport java.io.IOException;\nimport java.nio.charset.StandardCharsets;\nimport java.security.MessageDigest;\nimport java.security.NoSuchAlgorithmException;\nimport java.util.HashMap;\nimport java.util.Map;\nimport java.util.Objects;\nimport java.util.UUID;\nimport java.util.stream.Collectors;\nimport okhttp3.OkHttpClient;\nimport okhttp3.Request;\nimport okhttp3.Response;\n\npublic class GetWithdraw {\n    private static final String BASE_URL = \"https://sg-api.upbit.com\";\n    private static final String PATH = \"/v1/withdraw\";\n\n    public static void main(String[] args) throws NoSuchAlgorithmException, IOException {\n        String accessKey = System.getenv(\"UPBIT_OPEN_API_ACCESS_KEY\");\n        String secretKey = System.getenv(\"UPBIT_OPEN_API_SECRET_KEY\");\n\n        Map<String, String> params = new HashMap<>();\n        params.put(\"currency\", \"BTC\");\n        String queryString = params.entrySet().stream()\n            .map(e -> e.getKey() + \"=\" + String.valueOf(e.getValue()))\n            .collect(Collectors.joining(\"&\"));\n\n        MessageDigest md = MessageDigest.getInstance(\"SHA-512\");\n        md.update(queryString.getBytes(StandardCharsets.UTF_8));\n        StringBuilder sb = new StringBuilder();\n        for (byte b : md.digest()) {\n            sb.append(String.format(\"%02x\", b));\n        }\n        String queryHash = sb.toString();\n\n        Algorithm algorithm = Algorithm.HMAC512(secretKey.getBytes(StandardCharsets.UTF_8));\n        String jwtToken = JWT.create()\n            .withClaim(\"access_key\", accessKey)\n            .withClaim(\"nonce\", UUID.randomUUID().toString())\n            .withClaim(\"query_hash\", queryHash)\n            .withClaim(\"query_hash_alg\", \"SHA512\")\n            .sign(algorithm);\n\n        String authHeader = \"Bearer \" + jwtToken;\n\n        OkHttpClient client = new OkHttpClient();\n        Request request = new Request.Builder()\n            .url(BASE_URL + PATH + \"?\" + queryString)\n            .get()\n            .addHeader(\"Content-Type\", \"application/json\")\n            .addHeader(\"Authorization\", authHeader)\n            .build();\n\n        try (Response response = client.newCall(request).execute()) {\n            System.out.println(response.code());\n            System.out.println(Objects.requireNonNull(response.body()).string());\n        }\n    }\n}\n"
            }
          ]
        },
        "parameters": [
          {
            "name": "uuid",
            "in": "query",
            "required": false,
            "schema": {
              "type": "string",
              "description": "UUID of the withdrawal to query.\n\nIf neither uuid nor txid is provided, the latest withdrawal is returned.\n",
              "example": "9ca023a5-851b-4fec-9f0a-48cd83c2eaae"
            },
            "allowReserved": true
          },
          {
            "name": "txid",
            "in": "query",
            "required": false,
            "schema": {
              "type": "string",
              "description": "Transaction ID of the withdrawal to query.\n\nIf neither uuid nor txid is provided, the latest withdrawal is returned.\n",
              "example": "98c15999f0bdc4ae0e8a-ed35868bb0c204fe6ec29e4058a3451e-88636d1040f4baddf943274ce37cf9cc"
            },
            "allowReserved": true
          },
          {
            "name": "currency",
            "in": "query",
            "required": false,
            "schema": {
              "type": "string",
              "description": "Currency code filter.\nIf not specified, the latest withdrawal is returned.\n",
              "example": "SGD"
            },
            "allowReserved": true,
            "examples": {
              "default": {
                "value": "BTC"
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Object of withdrawal",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Withdraw"
                },
                "examples": {
                  "Successful Example": {
                    "value": {
                      "type": "withdraw",
                      "uuid": "9f432943-54e0-40b7-825f-b6fec8b42b79",
                      "currency": "BTC",
                      "state": "PROCESSING",
                      "created_at": "2025-07-04T15:00:00",
                      "amount": "0.01",
                      "fee": "0.0",
                      "transaction_type": "default",
                      "is_cancelable": false
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "error object",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                },
                "examples": {
                  "not found withdraw error": {
                    "value": {
                      "error": {
                        "name": "withdraw_not_found",
                        "message": "Withdrawal information not found."
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```